問題

ruta-maven-plugin:2.6.1の依存クラスの問題のためにアプリケーションをビルドできなくなりました。私は5.0.2と6.2を含むASMの複数のバージョンを使用しようとしました。これらのバージョンはApache Tika 1.17/18/19の依存関係です。

完全なビルド失敗メッセージは次のとおりです。

org.apache.uima:ruta-maven-plugin:2.6.1:プロジェクトDAnE-Pipelineでgenerate(デフォルト):目標の実行デフォルトorg.apache.uima:ruta-maven-plugin:2.6.1:generate failed:コンポーネントクラスの読み取りに失敗しました:url [jar:file:/home/Default.m2/repository/org/apache/ruta-core2.6.1.org/apache/MA/resoute/Relpaspar clle/Clame clasparspallllle clane clllllars

私はすべてを試したように感じる。どんな助けもありがとう!

  ベストアンサー

私は上記のPeterの提案を読んだ。プロジェクトに新しいSpring依存関係を追加していましたが、「プラグインの範囲」には追加していませんでした。そこにSpringの依存関係を作成したら、うまくいきました!ありがとう、ピーター。

  同じタグがついた質問を見る

uimaruta